%define	upstream_name	 Net-DNS-SEC
%define upstream_version 1.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    DNSSEC support for Net::DNS perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.100.0
BuildRequires: perl(DynaLoader) >= 1.40.0
BuildRequires: perl(Exporter) >= 5.560.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find) >= 1.130.0
BuildRequires: perl(File::Spec) >= 3.290.0
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(MIME::Base64) >= 2.130.0
BuildRequires: perl(Net::DNS) >= 1.80.0
BuildRequires: perl(Test::More) >= 0.800.0
BuildRequires: perl-devel
BuildRequires: pkgconfig(openssl)
%description
This perl modules implements DNSSEC extensions as described in
rfc 2535, 2931. With it, you can use DS, SIG, KEY and NXT record.

It extends perl-Net-DNS to manipulate these records.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/14-misc.t
chmod 755 demo/{key2ds,make-signed-keyset}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README WARNING demo
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/man?/*

%changelog
* Wed Oct 12 2022 tv <tv> 1.200.0-1.mga9
+ Revision: 1896435
- update to 1.20

* Tue Jun 07 2022 umeabot <umeabot> 1.190.0-3.mga9
+ Revision: 1862233
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.190.0-2.mga9
+ Revision: 1796635
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 1.190.0-1.mga9
+ Revision: 1751828
- update to 1.19

* Sat Oct 02 2021 wally <wally> 1.180.0-3.mga9
+ Revision: 1747399
- rebuild for openssl 3.0.0

* Mon May 24 2021 umeabot <umeabot> 1.180.0-2.mga9
+ Revision: 1726916
- Rebuild for perl 5.34

* Sun Oct 04 2020 tv <tv> 1.180.0-1.mga8
+ Revision: 1632144
- update to 1.18

* Mon Jun 29 2020 tv <tv> 1.170.0-1.mga8
+ Revision: 1600326
- update to 1.17

* Wed Jun 17 2020 umeabot <umeabot> 1.160.0-2.mga8
+ Revision: 1594942
- Rebuild for perl 5.32

* Tue May 12 2020 tv <tv> 1.160.0-1.mga8
+ Revision: 1583289
- update to 1.16

* Fri Feb 21 2020 umeabot <umeabot> 1.150.0-2.mga8
+ Revision: 1547855
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 1.150.0-1.mga8
+ Revision: 1488510
- update to 1.15

* Tue Oct 15 2019 tv <tv> 1.140.0-1.mga8
+ Revision: 1453533
- update to 1.14

* Tue Aug 27 2019 tmb <tmb> 1.130.0-2.mga8
+ Revision: 1433849
- rebuild for perl 5.30

* Sat Jun 29 2019 shlomif <shlomif> 1.130.0-1.mga8
+ Revision: 1415607
- update to 1.13

* Tue Mar 19 2019 tv <tv> 1.120.0-1.mga7
+ Revision: 1378931
- update to 1.12

* Thu Dec 13 2018 tv <tv> 1.110.0-1.mga7
+ Revision: 1340964
- update to 1.11

* Wed Sep 12 2018 shlomif <shlomif> 1.100.0-1.mga7
+ Revision: 1258757
- update to 1.10

* Wed Aug 08 2018 pterjan <pterjan> 1.90.0-2.mga7
+ Revision: 1250329
- Rebuild for perl 5.28

* Fri Jun 22 2018 shlomif <shlomif> 1.90.0-1.mga7
+ Revision: 1238934
- update to 1.09

* Thu May 17 2018 shlomif <shlomif> 1.80.0-1.mga7
+ Revision: 1230064
- update to 1.08

* Mon Apr 09 2018 kekepower <kekepower> 1.70.0-1.mga7
+ Revision: 1216705
- Update to version 1.07

* Tue Mar 20 2018 shlomif <shlomif> 1.40.0-1.mga7
+ Revision: 1210709
- Add BRs
- Add BRs
- New version 1.04

* Tue Oct 03 2017 tv <tv> 1.30.0-2.mga7
+ Revision: 1165844
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.30.0-1.mga7
+ Revision: 1157162
- new version 1.03

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-3.mga6
+ Revision: 1031065
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.20.0-2.mga6
+ Revision: 970020
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.20.0-1.mga6
+ Revision: 884731
- update to 1.02

* Wed Aug 05 2015 sander85 <sander85> 1.10.0-1.mga6
+ Revision: 861369
- update to 1.01

* Mon Jun 29 2015 sander85 <sander85> 0.220.0-1.mga6
+ Revision: 848198
- update to 0.22

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-3.mga5
+ Revision: 750241
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-2.mga5
+ Revision: 685642
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.200.0-1.mga5
+ Revision: 664025
- update to 0.20

* Fri Jun 06 2014 sander85 <sander85> 0.190.0-1.mga5
+ Revision: 634230
- update to 0.19

* Mon May 19 2014 sander85 <sander85> 0.180.0-1.mga5
+ Revision: 623902
- update to 0.18

* Sun Jan 05 2014 pterjan <pterjan> 0.170.0-1.mga4
+ Revision: 564899
- Update to 0.17 fixing various bugs (now builds fine) + update spec with magpie

* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 513423
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 370558
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 33991
- mageia rebuild
- imported package perl-Net-DNS-SEC

